Buckets
Create bucket key
Creates a new access key for the given bucket. The `secretAccessKey` field is returned exactly once in this response and is never stored — copy it immediately.
Creates a new access key for the given bucket. The secretAccessKey field is returned exactly once in this response and is never stored — copy it immediately.
POST
/v1/buckets/{bucketId}/keysAuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
bucketId*string
Match
^(bkt_)?([cC][^\s-]{8,}|[a-z0-9]+)$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.prisma.io/v1/buckets/string/keys" \ -H "Content-Type: application/json" \ -d '{ "role": "read" }'{
"data": {
"id": "string",
"type": "bucketKey",
"name": "string",
"valueHint": "string",
"role": "read",
"createdAt": "2019-08-24T14:15:22Z",
"secretAccessKey": "string",
"accessKeyId": "string",
"endpoint": "string",
"bucketName": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}